Subject: Re: [PATCH] new UDPCP Communication Protocol

From: Stefani Seibold <[email-masked]>
Date: Sun, 02 Jan 2011 12:57:56 +0100

Am Sonntag, den 02.01.2011, 12:33 +0100 schrieb Eric Dumazet:
> Le dimanche 02 janvier 2011 à 12:17 +0100, Stefani Seibold a écrit :
> > Am Samstag, den 01.01.2011, 23:23 +0100 schrieb Eric Dumazet:
> 
> > > 3) I see UDPLITE references in your code. Are you sure UDPCP protocol
> > > can really work on top of UDPLITE ? I think not, so please remove dead
> > > code.
> > > 
> > 
> > I have not tested it yet. But i think i should work, the code is mostly
> > stolen from the udp.c file. Since the stack not depend on the len field
> > of the UDP header, it should not matter if UPD or UDP-Lite is used.
> > 
> 
> Hmm, but isnt your :
> 
> udpcp_prot = udp_prot; /* in udpcp_init() */
> 
> implies that all UDPCP sockets you are going to provide to user are on
> top of UDP, not UDPLITE ?
> 

Okay, i kick to udplite support away!

> Also, could you provide a link to UDPCP protocol specs ?
> 

http://read.pudn.com/downloads76/doc/project/283718/OBSAI/OBSAI/RP1_V2.0.PDF

> Thanks